App::Yath::Script::V1(3pm)

NAME
App::Yath::Script::V1 - V1 (Legacy) yath script handler for Test2::Harness

DESCRIPTION
This is the V1 script handler for Test2::Harness. It is used by App::Yath::Script when a ".yath.rc" file with no version marker (or an explicit "# V1" marker) is found, or when V1 is the highest installed version.

This module contains the logic that was previously embedded directly in the "scripts/yath" script of Test2::Harness.

METHODS

$class->do_begin(%params)
    Called during the "BEGIN" phase. Parses configuration files, processes "-D" and "--no-scan-plugins" arguments, sets up @INC, and initializes App::Yath.

    Parameters:

    script => $path
        Path to the executing script.

    argv => \@argv
        Original command line arguments.

    config => $path
        Path to the ".yath.rc" file, or "undef".

    user_config => $path
        Path to the ".yath.user.rc" file, or "undef".

$exit = $class->do_runtime()
    Called after "BEGIN". Executes the yath command and returns the exit code.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/